<?php

namespace Util;

class CRUD{

	protected $entityManager;
    protected $connection;
    
	public function __construct($entityManager) {

        $this->entityManager = $entityManager;
        $this->connection = $entityManager->getConnection();

    }
	
	public function update($query, $params){
		$sth = $this->connection->prepare($query);
		$sth->execute($params);
	}
	
	public function read($query, $params){
		$sth = $this->connection->prepare($query);
		$sth->execute($params);
		return $sth->fetchAll(\PDO::FETCH_ASSOC);
	}
	
}
        

